/* ===================== ICONS ===================== */
.icon-circle {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #105D95;
    color: white;
    font-size: 18px;
}


/* ===================== COLORS ===================== */
.primary-color { color: #105D95; }
.secondary-color { color: #1BB1E7; }
.tertiary-color { color: #105D95; }
.bg-secondary { background-color: #1BB1E7; color: #fff; }


/* ===================== CARDS ===================== */
.card {
    border-left: #105D95 3px solid !important;
}

.my-card {
    border: 1px solid #ddd;
    overflow: visible !important;
}

.my-card .badge-pill {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #1BB1E7 !important;
    color: white;
    padding: 4px 12px;
    border-radius: 50px;
    font-size: 12px;
    font-weight: 600;
    box-shadow: 0 2px 6px rgba(0,0,0,0.15);
    /*border: 1px solid white;*/
    white-space: nowrap;
}

.card-border {
    border-left: #105D95 3px solid !important;
    text-align: left;
    background-color: #C2EEFF;
    color: #052A46;
}

.results-box {
    height: 700px;
    background-color: #9AE4FF;
    color: white;
    padding: 20px;
    display: flex;
    flex-direction: column;
}

.results-container {
    flex: 1;
    overflow-y: auto;
    padding-right: 10px;

    /* Webkit browsers */
    scrollbar-width: thin;
    scrollbar-color: #105D95 #9AE4FF ;
}

@media (min-width: 992px) {
    .w-75-desktop { width: 75% !important; }
}

.card-bg {
    background-color: #CFF2FF;
    border: 1px solid #9AE4FF;      
}

@media (min-width: 768px) {
    .card-md-absolute {
        position: absolute;
        z-index: 1000;
        top: 0%;
        left: 50%;
        width: 50%;
        height: 100%;
    }
}
@media (max-width: 768px) {
    .card-sm-absolute {
        position: absolute;
        width: 100%;
        left: 0;
        margin-top: 20px;
        padding-bottom: 50px;
        height: 100%;
    }

    /*#footer {
        position: absolute;
        bottom: -70%;
        left: 15%;
        padding-top: 20px;
    }*/
}
.card-absolute {
        background-color: #9AE4FF;
}
/* ===================== BADGES ===================== */
.badge-container {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.badge-container .badge {
    position: absolute;
    z-index: 10;
    background-color: #1BB1E7;
    border: 1px solid #9AE4FF;
}

.badge-container .p-2 {
    background-color: #CFF2FF;
    border-color: #9AE4FF;
    border-radius: 5px;
    padding-top: 15px !important;
    margin-top: 12px;
}

.badge-recomendado {
    display: inline-flex;
    align-items: center;
    gap: 5px;
    margin-left: 5px;
    background-color: #28A745;
    color: #fff;
    font-weight: bold;
    padding: 2px 15px;
    border-radius: 10px;
    font-size: 0.8rem;
    height: 25px;
}

.fa-flip-vertical {
  transform: rotateX(180deg);
}


/* ===================== BUTTONS ===================== */
.btn.btn-info { color: #fff; }

.btn-return {
    color: #105D95;
    border: 2px solid #105D95;
    background-color: transparent;
    border-radius: 5px;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
}

.btn-return:hover {
    background-color: #105D95;
    color: #fff;
}

#continueBtn:disabled {
    opacity: 0.5;
    pointer-events: none;
}

#startButton,
#continueBtn,
.btn:disabled,
.btn-info  {
    background-color: #1BB1E7 !important;
}

#continueBtn {
    color: #fff;
}

/* ===================== FORMS / SELECT ===================== */
.custom-select-wrapper {
    width: 100%;
    max-width: 100%;
    position: relative;
    font-family: inherit;
    text-align: left;
}

.custom-select {
    border: 1px solid #dee2e6;
    border-radius: 6px;
    cursor: pointer;
    position: relative;
    background-color: white;
}

.custom-select .options {
    list-style: none;
    padding: 0;
    margin: 0;
    display: block;
    background-color: white;
    z-index: 1000;
}

.custom-select .options li {
    padding: 12px;
    display: flex;
    flex-direction: column;
    gap: 4px;
    transition: background 0.2s;
    border-bottom: 1px solid #f0f0f0;
    cursor: pointer;
    position: relative;
}

.custom-select .options li:last-child { border-bottom: none; }
.custom-select .options li small { font-size: 16px; }
.custom-select .options li i { color: #105D95; }

.custom-select .options li:hover {
    background-color: #0056b3;
    color: white !important;
}

.custom-select .options li.disabled:hover {
    background-color: inherit !important;
    color: #6c757d !important;
}

.custom-select .options li.disabled:hover i {
    color: #6c757d !important;
}


.custom-select .options li:hover i { color: white; }

.custom-select .options li.selected {
    background-color: #105D95;
    color: white;
}

.custom-select .options li.selected i { color: white; }

button#next {
    background-color: #1BB1E7;
    border: #1BB1E7;
}    

li small { margin-left: 33px; }

form#leadData {
    border: 1px solid #E0E0E0;
    padding: 20px;
    border-radius: 5px;
}

/* ===================== INPUTS / VALIDATION ===================== */
.display-hidden { display: none !important; }
.visible { display: block !important; }

.option.disabled {
    opacity: 0.5;
    cursor: not-allowed !important;
}

.option.disabled * { pointer-events: none; }
.option.disabled:hover { background-color: inherit !important; }


/* ===================== TYPOGRAPHY ===================== */
li span { font-size: 20px; }



#note {
    background-color: #d4edda;
    padding: 10px;
    color: #155724;
    border-radius: 4px;
    font-weight: 500;
}

/* ===================== GRADIENT / BACKGROUND ===================== */
.bg-teste {
    background-color: transparent linear-gradient(321deg, #000000 0%, #0937591C 50%, #020C13 100%) 0% 0% no-repeat padding-box;
}


/* ===================== ALIGN ===================== */
.align-content-between {
    justify-content: space-evenly;
    align-items: baseline;
}


/* ===================== SCROLLBARS ===================== */
.results-container::-webkit-scrollbar {
    width: 8px;
}

.results-container::-webkit-scrollbar-track {
    background: #093455;
    border-radius: 4px;
}

.results-container::-webkit-scrollbar-thumb {
    background-color: #1BB1E7;
    border-radius: 4px;
    border: 2px solid #093455;
}

.results-container::-webkit-scrollbar-thumb:hover {
    background-color: #105D95;
}


/* ===================== WIDTH ===================== */
.w-15 { width: 15% !important; }


/* ===================== FONTS ===================== */
.fs-14 { font-size: 14px; }
.fs-20 { font-size: 20px; }

@media screen and (min-width: 768px) {
    .fs-24 { font-size: 24px; }    
}


body {
    font-family: 'Raleway', sans-serif;
}

@media (min-width: 1200px) {
    .text-md-nowrap {
        white-space: nowrap !important;
    }   
}